@import "~src/assets/scss/fonts";
@import "~src/assets/scss/colors";

.homepage {
  display: flex;
  flex-direction: column;
  align-items: center;
  header {
      margin-top: 20px;
      .title {
          height: 44px;
          font-family: AvenirNextLTPro, sans-serif;
          font-size: 36px;
          font-weight: 500;
          font-style: normal;
          font-stretch: normal;
          line-height: normal;
          letter-spacing: normal;
          text-align: left;
          color: $Shark;
          .user-name {
            text-transform: capitalize;
          }
      }

      .sub-title {
          width: 238px;
          height: 20px;
          font-family: AvenirNextLTPro, sans-serif;
          font-size: 16px;
          font-weight: normal;
          font-style: normal;
          font-stretch: normal;
          line-height: normal;
          letter-spacing: normal;
          text-align: left;
          color: $Shark;
        }
        & > a {
          color: $DodgerBlue;
        }
  }

  .controls {
    width: 100%;
    display: flex;
    padding: 15px;
    margin-top: 30px;
    input, select {
      border-radius: 3px;
      border: solid 1px $Mercury;
      padding: 25px 10px;
      font-size: 14px;
    }
    .book-search {
      position: relative;
      input {
        border: none;
        background-color: $Alabaster;
      }
      .fa-search {
        color: $Silver;
        position: absolute;
        top: 15px;
        right: 25px;
        font-size: 18px;
      }
    }
    .book-filter {
      .input-group-append{
        button {
          width: 52px;
          background-color: $MineShaft;
          &::after {
            color: $White;
          }
        }
      }
    }
  }

  .book-list {
    margin-top: 20px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;

    .card-book {
      width: 23%;
      height: 340px;
      margin: 10px;
      display: flex;
      flex-direction: column;
      border-radius: 3px;
      .mask {
        width: 100%;
        height: 216px;
        background-color: $Gallery;
        display: flex;
        justify-content: center;
        align-items: center;
        img {
          width: 120px;
          height: 180px;
        }
      }
      .book-info {
        padding: 15px;
        height: 100px;
        .book-name, .book-author {
          font-family: AvenirNextLTPro, sans-serif;
          font-size: 16px;
          text-align: left;
          color: $Shark;
          max-height: 48px;
          overflow: auto;
        }
        .book-author {
          color: $RegentGray;
          max-height: 24px;
        }
      }
      .action-btns {
        padding: 0 15px;
        display: flex;
        justify-content: space-between;
        color: $DodgerBlue;
        .more-info {
          font-size: 13px;
          cursor: pointer;
        }
        .fa-heart {
          &.in-wishlist {
            color: $Rose;
          }
        }
      }
    }
  }
}

.modal-dialog-centered {
  width: 300px;
  .modal-content {
    width: 100%;
    padding: 20px;
    border: none;
    .modal-header {
      padding: 0;
      border-bottom: none;
      flex-direction: column;
      .modal-title {
        color: $MineShaft;
      }
      .modal-author {
        color: $RegentGray;
        font-size: 13px;
      }
    }
    .modal-body {
      padding: 0;
      margin: 20px 0;
      display: flex;
      img {
        width: 120px;
        height: 180px;
      }
      .description {
        height: 180px;
        font-size: 13px;
        line-height: 1.69;
        margin-left: 12px;
        color: $MineShaft;
        overflow: auto;
      }
    }
    .modal-footer{
      flex-direction: column;
      padding: 0 1rem;
      border: none;
      button {
        width: 100%;
        margin: 5px 10px;
        font-size: 14px;
        border: none;
        &.wishlist-btn {
          padding: 0.5rem 0.75rem;
          background-image: linear-gradient(97deg, $Malibu, $DodgerBlue);
          span {
            margin-left: 10px;
          }
          &:disabled {
            background-image: linear-gradient(97deg, $Silver, $Alto);
          }
        }
        &.close-btn {
          background-color: $White;
          border: 2px solid $MineShaft;
          color: $MineShaft;
        }
      }
    }
  }
}


